%define fver	2.4.2

%define major		2
%define libname		%mklibname ptex %{major}
%define develname	%mklibname -d ptex
%define staticname	%mklibname -s -d ptex

Name:		ptex
Version:	%{fver}
Release:	%mkrel 1
Summary:	Per-Face Texture Mapping for Production Rendering
Group:		Graphics/3D
License:	BSD-3-Clause
URL:		https://ptex.us
Source0:	https://github.com/wdas/ptex/archive/refs/tags/v%{fver}/%{name}-%{fver}.tar.gz
Patch0:		0001-Fix-.so-version-and-major.patch
Patch1:		0002-Fix-cmake-install-dir-as-of-libdir-cmake-instead-of-.patch
BuildRequires:	dot
BuildRequires:	doxygen
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	pkgconfig(zlib)

%description
Ptex is a texture mapping system for production-quality rendering: no
UV assignment is required. Ptex applies a separate texture to each
face of a subdivision or polygon mesh. The Ptex file format can
efficiently store hundreds of thousands of texture images in a single
file. The Ptex API provides cached file I/O and high-quality
filtering -- everything that is needed to easily add Ptex support to a
production-quality renderer or texture authoring application.

%package -n %{libname}
Summary:	Libraries for Per-Face Texture Mapping for Rendering
Group:		System/Libraries

%description -n %{libname}
Ptex is a texture mapping system for production-quality rendering: no

This package contains the shared library of Ptex.

%package -n %{develname}
Summary:	Development files for the Ptex library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	ptex-devel = %{version}-%{release}

%description -n %{develname}
Development files for the Ptex library.

Install this package if you plan to compile applications using the
Ptex library.

%prep
%setup -q
%autopatch -p1

%build
echo "v%{fver}" > version
%cmake \
	-DPTEX_BUILD_STATIC_LIBS:BOOL=ON
%cmake_build

%install
%cmake_install

# Create a pkgconfig file
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cat > %{buildroot}%{_libdir}/pkgconfig/Ptex.pc <<EOF
# pkg-config configuration for Ptex
prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: Ptex
Description: Per-Face Texture Mapping for Production Rendering
Version: %{version}
Cflags: -I\${includedir} -pthread
Libs: -L\${libdir} -l:libPtex.a -lz
EOF

%check
export LD_LIBRARY_PATH=%{_buildroot}%{_libdir}
%define _smp_mflags 1
%ctest

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_bindir}/*
%{_docdir}/Ptex

%files -n	%{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n	%{develname}
%{_includedir}/*.h
%{_libdir}/libPtex.a
%{_libdir}/libPtex.so
%{_libdir}/pkgconfig/Ptex.pc
%{_libdir}/cmake/Ptex


%changelog
* Sun Oct 02 2022 ghibo <ghibo> 2.4.2-1.mga9
+ Revision: 1893939
- Parallel %%ctest is broken, fix %%_smp_flags accordingly
- Update to release 2.4.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Dec 30 2021 ghibo <ghibo> 2.4.1-1.mga9
+ Revision: 1765475
- imported package ptex


* Thu Dec 30 2021 ghibo <ghibo> 2.4.1-1.mga8
- Initial release based on internal Ptex.spec.in file
